#include <rpc/rpc.h>
#include <stdio.h>
#include "hora.h"

int main(int argc, char *argv[]){
CLIENT *cl;
char *nombre_servidor;
char **hora;

if(argc < 2){
perror("Uso: ./client nombreservidor");
}

nombre_servidor = argv[1];

cl = clnt_create(nombre_servidor, HORA_PROG, HORA_VERS, "tcp");

if((hora = hora_1(NULL, cl)) == NULL) {
	clnt_sperror(cl, argv[1]);
}

printf("\nLa hora del servidor %s es %s", nombre_servidor, *hora);

clnt_destroy(cl);

exit(0);
}
